aboutsummaryrefslogtreecommitdiffstats
path: root/platform-logic/installer/src
diff options
context:
space:
mode:
authorHector Anapan-Lavalle <ha076r@att.com>2017-10-24 19:13:22 -0400
committerHector Anapan-Lavalle <ha076r@att.com>2017-10-24 19:13:45 -0400
commit192f6bad7a24854defdb5c1a0f2a948ad87bcfd8 (patch)
treeb5921661e544d05ed4712630629943370dbf6917 /platform-logic/installer/src
parentbd863814f64653131d2cb05942e5ac61fa300399 (diff)
Handle dg-loader DGs approach with platform-logic
This commit takes care of adding the necessary code to be able to: 1) Convert JSON DGs to XML DGs in the dg-loader-dgs path 2) Load & Activate these converted XML DGs into the MySQL DB This approach is used in appc.git's dg-loader-provider to handle DGs. Combining platform-logic approach and dg-loader-provider approach to handle DGs coming from these two separate paths. Change-Id: I46505a3380afcdd3c6794e24fda75aef62ccc58f Signed-off-by: Hector Anapan-Lavalle <ha076r@att.com> Issue-Id:[APPC-287]
Diffstat (limited to 'platform-logic/installer/src')
-rw-r--r--platform-logic/installer/src/assembly/assemble_zip.xml2
-rw-r--r--platform-logic/installer/src/main/scripts/install-converted-dgs.sh57
2 files changed, 59 insertions, 0 deletions
diff --git a/platform-logic/installer/src/assembly/assemble_zip.xml b/platform-logic/installer/src/assembly/assemble_zip.xml
index 8fc1342..56e6bf2 100644
--- a/platform-logic/installer/src/assembly/assemble_zip.xml
+++ b/platform-logic/installer/src/assembly/assemble_zip.xml
@@ -38,7 +38,9 @@
<outputDirectory>svclogic/graphs</outputDirectory>
<includes>
<include>**/*.xml</include>
+ <include>**/*.json</include>
<include>**/graph.versions</include>
+ <include>**/dg_activate.txt</include>
</includes>
<lineEnding>unix</lineEnding>
</fileSet>
diff --git a/platform-logic/installer/src/main/scripts/install-converted-dgs.sh b/platform-logic/installer/src/main/scripts/install-converted-dgs.sh
new file mode 100644
index 0000000..5047a68
--- /dev/null
+++ b/platform-logic/installer/src/main/scripts/install-converted-dgs.sh
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+###
+# ============LICENSE_START=======================================================
+# APPC
+# ================================================================================
+# Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+###
+
+###
+### Convert XML DGs to JSON DGs using dg-loader, then load/activate them in the MySQL DB. ###
+###
+
+export APPC_HOME=${APPC_HOME:-/opt/openecomp/appc}
+
+# SVCLOGIC_DIR env variable points to /opt/openecomp/appc/svclogic
+export SVCLOGIC_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/.." && pwd )"
+
+# Check if the JSON Directory exists under the env. variable defined
+export DG_JSON_DIR=${SVCLOGIC_DIR}/graphs/appc/json/dg-loader-dgs
+echo "Processing DG JSON directory : ${DG_JSON_DIR}"
+if [ ! -d "$DG_JSON_DIR" ]
+then
+ echo "DG-Loader JSON Directory is Missing"
+exit 1
+fi
+
+# Temporarily use wget to download the JAR needed to execute the dg-loader actions below (NEEDS TO GET THE JAR WITH DEPENDENCIES)
+wget -P ${SVCLOGIC_DIR}/lib https://nexus.onap.org/content/groups/staging/org/openecomp/appc/plugins/dg-loader-provider/1.1.0/dg-loader-provider-1.1.0.jar
+
+cd ${DG_JSON_DIR}
+mkdir -p ${DG_JSON_DIR}/converted-xml
+
+# Generate XML DGs from JSON DGs
+$JAVA_HOME/bin/java -cp ${SVCLOGIC_DIR}/lib/dg-loader-jar-with-dependencies.jar org.openecomp.sdnc.dg.loader.DGXMLGenerator ${DG_JSON_DIR} ${DG_JSON_DIR}/converted-xml
+
+# Load converted XML DGs to the SVC_LOGIC DB in the MySQL Docker Container
+$JAVA_HOME/bin/java -cp ${SVCLOGIC_DIR}/lib/dg-loader-jar-with-dependencies.jar org.openecomp.sdnc.dg.loader.DGXMLLoad ${DG_JSON_DIR}/converted-xml ${APPC_HOME}/data/properties/dblib.properties
+
+# Activate converted XML DGs to the SVC_LOGIC DB in the MySQL Docker Container
+$JAVA_HOME/bin/java -cp ${SVCLOGIC_DIR}/lib/dg-loader-jar-with-dependencies.jar org.openecomp.sdnc.dg.loader.DGXMLActivate ${DG_JSON_DIR}/dg_activate.txt ${APPC_HOME}/data/properties/dblib.properties
+
+exit 0